WindowsDeviceMalwareStates の一覧

名前空間: microsoft.graph.managedTenants

重要

Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。

windowsDeviceMalwareState オブジェクトとそのプロパティの一覧を取得します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementManagedDevices.Read.All, DeviceManagementManagedDevices.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション サポートされていません。

HTTP 要求

GET /tenantRelationships/managedTenants/windowsDeviceMalwareStates

オプションのクエリ パラメーター

このメソッドは 、OData クエリ パラメーターをサポートして、応答のカスタマイズに役立ちます。これには、 を含む $apply $count $filter $orderBy $select $skip 応答をカスタマイズします $top

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。

要求本文

このメソッドには、要求本文を指定しません。

応答

成功した場合、このメソッドは応答コードと、応答本文の 200 OK windowsDeviceMalwareState オブジェクトのコレクションを返します。

要求

GET https://graph.microsoft.com/beta/tenantRelationships/managedTenants/windowsDeviceMalwareStates

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.context": "https://graph.microsoft.com/beta/$metadata#windowsDeviceMalwareStates",
  "value": [
    {
      "id": "34298981-4fc8-4974-9486-c8909ed1521b_c9c8328e-7be6-48f6-8ddc-be3aae112f0d_2147714402",
      "managedDeviceId": "c9c8328e-7be6-48f6-8ddc-be3aae112f0d",
      "managedDeviceName": "vm12",
      "malwareId": "2147714402",
      "malwareExecutionState": "Unknown",
      "malwareThreatState": "Active",
      "initialDetectionDateTime": "2021-07-09T14:33:49Z",
      "lastStateChangeDateTime": "2021-07-09T14:33:49Z",
      "detectionCount": 9,
      "deviceDeleted": false,
      "malwareCategory": "TrojanDownloader",
      "malwareSeverity": "Severe",
      "malwareDisplayName": "TrojanDownloader:Win32/Vigorf.A",
      "lastRefreshedDateTime": "2021-07-11T00:02:20.7750537Z",
      "additionalInformationUrl": "https://go.microsoft.com/fwlink/?linkid=37020&name=TrojanDownloader%3AWin32%2FVigorf%2EA&threatid=2147714402&enterprise=1",
      "tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
      "tenantDisplayName": "Fourth Coffee"
    },
    {
      "id": "38227791-a88b-4fcc-81c5-58cf77668320_956410b3-af0d-4a55-82c6-3962cca172fb_2147694182",
      "managedDeviceId": "956410b3-af0d-4a55-82c6-3962cca172fb",
      "managedDeviceName": "VM9166",
      "malwareId": "2147694182",
      "malwareExecutionState": "Unknown",
      "malwareThreatState": "Active",
      "initialDetectionDateTime": "2021-07-09T14:36:46Z",
      "lastStateChangeDateTime": "2021-07-09T14:36:46Z",
      "detectionCount": 7,
      "deviceDeleted": false,
      "malwareCategory": "Trojan",
      "malwareSeverity": "Severe",
      "malwareDisplayName": "Trojan:Win32/Skeeyah.A!rfn",
      "lastRefreshedDateTime": "2021-07-11T00:02:20.7750537Z",
      "additionalInformationUrl": "https://go.microsoft.com/fwlink/?linkid=37020&name=Trojan%3AWin32%2FSkeeyah%2EA%21rfn&threatid=2147694182&enterprise=1",
      "tenantId": "38227791-a88b-4fcc-81c5-58cf77668320",
      "tenantDisplayName": "Consolidated Messenger"
    }
  ]
}